### Hierarchy

- Method

## Index

### Constructors

- constructor

### Properties

- call
- inputFormatter
- name
- outputFormatter
- params
- requestManager
- transformPayload

### Methods

- attachToObject
- buildCall
- extractCallback
- formatInput
- formatOutput
- setRequestManager
- toPayload
- validateArgs

## Constructors

### constructor

- new Method(options: MethodOptions): Method

- - Defined in core/method/index.ts:30

  #### Parameters

  - ##### options: MethodOptions

  #### Returns Method

## Properties

### call

call: any

- Defined in core/method/index.ts:25

### Optional inputFormatter

inputFormatter: any

- Defined in core/method/index.ts:27

### name

name: string

- Defined in core/method/index.ts:24

### Optional outputFormatter

outputFormatter: any

- Defined in core/method/index.ts:28

### params

params: number

- Defined in core/method/index.ts:26

### requestManager

requestManager: RequestManager

- Defined in core/method/index.ts:30

### Optional transformPayload

transformPayload: any

- Defined in core/method/index.ts:29

## Methods

### attachToObject

- attachToObject(obj: any): void

- - Defined in core/method/index.ts:60

  Attach the method to obj

  #### Parameters

  - ##### obj: any

  #### Returns void

### buildCall

- buildCall(): function

- - Defined in core/method/index.ts:145

  #### Returns function

  - - (...args: any[]): any[]

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any[]

### extractCallback

- extractCallback(args: any[]): any

- - Defined in core/method/index.ts:71

  Should be used to extract callback from array of arguments. Modifies input param

  #### Parameters

  - ##### args: any[]

  #### Returns any

  callback, if exists

### formatInput

- formatInput(args: any[]): any[]

- - Defined in core/method/index.ts:80

  Should be called to format input args of method

  #### Parameters

  - ##### args: any[]

  #### Returns any[]

### formatOutput

- formatOutput(result: any): any

- - Defined in core/method/index.ts:95

  Should be called to format output(result) of method

  #### Parameters

  - ##### result: any

  #### Returns any

### setRequestManager

- setRequestManager(rm: any): void

- - Defined in core/method/index.ts:52

  Set request manager

  #### Parameters

  - ##### rm: any

  #### Returns void

### toPayload

- toPayload(args: any[]): PayloadObject

- - Defined in core/method/index.ts:128

  Should create payload from given input args

  #### Parameters

  - ##### args: any[]

  #### Returns PayloadObject

### validateArgs

- validateArgs(args: any[]): void

- - Defined in core/method/index.ts:113

  Should be called to check if the number of arguments is correct

  #### Parameters

  - ##### args: any[]

  #### Returns void

Generated using TypeDoc